# 获取学生信息

## 修改记录


## 接口定义

    /v1/student_search
    GET

## Request

API请求参数

### Head

     X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{deviceSN}/{orgID}/{campID}
     X-Sign               {String}       rsa(timestamp_userId) 加密

### Form Parameters

 keyword           {String} 关键字，学号或姓名
 limit             {int}    默认：20

## Response


### Example


**Command**

curl -X GET \
	-H "X-DeviceInformation: 11%2f22%2f96" \
 	-H "X-Sign: gsvC5MP2ASj9JsX0uauVpriye6xz1G3GIwY9I9JEhQdvsdJs+LHi4+AcVE9JHEApFlAbiNv3FjahOMymWslI8fXcmkaUBCb/tFT8zHn/YFE6yIyOOVMojoYTPSEYkSGmJN2tekru0nHiO7z5wS8DDbP680wfuzQPFJUxJyeDGb4=" \
       http://localhost:8080/v1/student_search?keyword=李

**Output**

   {
       "data": [
           {
               "studentId": 31741,
               "studentName": "李仁杰",
               "gender": 1,
               "age": 17,
               "isUseGlasses": 0,
               "schoolId": 93,
               "gradeId": 60,
               "classId": 573,
               "leftEye": 5.1,
               "rightEye": 5.1,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31740,
               "studentName": "李明洋",
               "gender": 1,
               "age": 17,
               "schoolId": 93,
               "gradeId": 60,
               "classId": 573,
               "leftEye": 5.1,
               "rightEye": 5.1,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31725,
               "studentName": "李恩逾",
               "gender": 1,
               "age": 17,
               "schoolId": 93,
               "gradeId": 60,
               "classId": 573,
               "leftEye": 5.1,
               "rightEye": 5.1,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31724,
               "studentName": "李家雨",
               "gender": 1,
               "age": 17,
               "schoolId": 93,
               "gradeId": 60,
               "classId": 573,
               "leftEye": 5.2,
               "rightEye": 5.2,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31712,
               "studentName": "李崟峰",
               "gender": 1,
               "age": 16,
               "schoolId": 93,
               "gradeId": 60,
               "classId": 573,
               "leftEye": 5.2,
               "rightEye": 5.2,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31670,
               "studentName": "李若驰",
               "gender": 1,
               "age": 16,
               "schoolId": 93,
               "gradeId": 60,
               "classId": 572,
               "leftEye": 5.1,
               "rightEye": 5.1,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31669,
               "studentName": "李佳峻",
               "gender": 1,
               "age": 16,
               "schoolId": 93,
               "gradeId": 60,
               "classId": 572,
               "leftEye": 5.1,
               "rightEye": 5.1,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31668,
               "studentName": "李昊枰",
               "gender": 1,
               "age": 17,
               "schoolId": 93,
               "gradeId": 60,
               "classId": 572,
               "leftEye": 5.1,
               "rightEye": 5.1,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31667,
               "studentName": "李国运",
               "gender": 1,
               "age": 17,
               "schoolId": 93,
               "gradeId": 60,
               "classId": 572,
               "leftEye": 5.1,
               "rightEye": 5.2,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31651,
               "studentName": "李忠培",
               "gender": 1,
               "age": 15,
               "schoolId": 93,
               "gradeId": 25,
               "classId": 571,
               "leftEye": 5,
               "rightEye": 5,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31636,
               "studentName": "李凌峰",
               "gender": 1,
               "age": 15,
               "schoolId": 93,
               "gradeId": 25,
               "classId": 571,
               "leftEye": 5.1,
               "rightEye": 5.1,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31634,
               "studentName": "李金涛",
               "gender": 1,
               "age": 15,
               "schoolId": 93,
               "gradeId": 25,
               "classId": 571,
               "leftEye": 5.1,
               "rightEye": 5.1,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31572,
               "studentName": "李世芳",
               "gender": 1,
               "age": 15,
               "schoolId": 93,
               "gradeId": 25,
               "classId": 570,
               "leftEye": 5.1,
               "rightEye": 5,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31571,
               "studentName": "李启远",
               "gender": 1,
               "age": 15,
               "schoolId": 93,
               "gradeId": 25,
               "classId": 570,
               "leftEye": 5.3,
               "rightEye": 5.3,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31570,
               "studentName": "李光华",
               "gender": 1,
               "age": 15,
               "schoolId": 93,
               "gradeId": 25,
               "classId": 570,
               "leftEye": 5.2,
               "rightEye": 5.2,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           },
           {
               "studentId": 31569,
               "studentName": "李博",
               "gender": 1,
               "age": 15,
               "schoolId": 93,
               "gradeId": 25,
               "classId": 570,
               "leftEye": 5.1,
               "rightEye": 5.1,
               "studentNumber": "",
               "distance": 0,
               "updatedAt": "2019-01-10 17:47:20"
           }
       ],
       "errno": 200,
       "msg": "success"
   }